summaryrefslogtreecommitdiffstats
path: root/academic/gwyddion/gwyddion.SlackBuild
diff options
context:
space:
mode:
author Daniil Bratashov2010-05-12 17:36:39 +0200
committer David Somero2010-05-12 17:36:39 +0200
commit8bbbece820bf96ecc87d2808de6c2471c0400ec3 (patch)
tree81e7051933be84de5c808427823b781f63890c8b /academic/gwyddion/gwyddion.SlackBuild
parent761d3a945bb247a535b96ca04a2c09dc3753b04f (diff)
downloadslackbuilds-8bbbece820bf96ecc87d2808de6c2471c0400ec3.tar.gz
academic/gwyddion: Updated for version 2.15
Diffstat (limited to 'academic/gwyddion/gwyddion.SlackBuild')
-rw-r--r--academic/gwyddion/gwyddion.SlackBuild19
1 files changed, 13 insertions, 6 deletions
diff --git a/academic/gwyddion/gwyddion.SlackBuild b/academic/gwyddion/gwyddion.SlackBuild
index ed0a33d95f..1e75554e8e 100644
--- a/academic/gwyddion/gwyddion.SlackBuild
+++ b/academic/gwyddion/gwyddion.SlackBuild
@@ -5,9 +5,9 @@
# Written by Daniil Bratashov <dn2010@gmail.com>
PRGNAM=gwyddion
-VERSION=${VERSION:-2.10}
+VERSION=${VERSION:-2.15}
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
CWD=$(pwd)
@@ -17,10 +17,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e
@@ -42,16 +45,21 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var \
- --mandir=/usr/man
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
( cd $PKG/usr/man
@@ -68,5 +76,4 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-chown -R root:root .
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz